
package de.ivu.elect.business.personenpruefung.boundary;

import javax.ejb.Stateless;
import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.person.entity.Personendaten;
import de.ivu.elect.business.personenpruefung.entity.PersonenKonflikt;
import de.ivu.elect.business.personenpruefung.entity.PersonenKonfliktArt;
import de.ivu.elect.business.personenpruefung.entity.PersonenKonfliktStatus;

@Stateless
@Specializes
public class CommonPersonenKonfliktBoundaryCreate extends PersonenKonfliktBoundaryCreate {

  public CommonPersonenKonfliktBoundaryCreate() {
    super();
  }

  public PersonenKonflikt findOrCreate(Personendaten personendaten, PersonenKonfliktArt konfliktArt,
      PersonenKonfliktStatus konfliktStatus) {
    return create.findOrCreate(personendaten, konfliktArt, konfliktStatus);
  }

  public boolean removeByPersonAndKonfliktArt(Personendaten personendaten, PersonenKonfliktArt konfliktArt) {
    return create.removeByPersonAndKonfliktArt(personendaten, konfliktArt);
  }
}
